Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class PublicationDocumentType

    java.lang.Object
      be.fgov.ehealth.ehbox.publication.protocol.v3.PublicationDocumentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:12:45+02:00",
               comments="JAXB RI v2.3.6")
    public class PublicationDocumentType

extends Object
implements Serializable

Specifies content of a Document message

Java class for PublicationDocumentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PublicationDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="400"/>
                 </restriction>
               </simpleType>
             </element>
             <choice>
               <element name="EncryptableBinaryContent" type="{http://ws-i.org/profiles/basic/1.1/xsd}swaRef"/>
               <element name="EncryptableTextContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
             <element name="DownloadFileName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Digest" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PublicationDocumentType()`

Method Summary
`String` | `getDigest()` Gets the value of the digest property.
`String` | `getDownloadFileName()` Gets the value of the downloadFileName property.
`DataHandler` | `getEncryptableBinaryContent()` Gets the value of the encryptableBinaryContent property.
`byte[]` | `getEncryptableTextContent()` Gets the value of the encryptableTextContent property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`String` | `getTitle()` Gets the value of the title property.
`void` | `setDigest(String value)` Sets the value of the digest property.
`void` | `setDownloadFileName(String value)` Sets the value of the downloadFileName property.
`void` | `setEncryptableBinaryContent(DataHandler value)` Sets the value of the encryptableBinaryContent property.
`void` | `setEncryptableTextContent(byte[] value)` Sets the value of the encryptableTextContent property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setTitle(String value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicationDocumentType

    public PublicationDocumentType()

Method Detail

### getTitle

    public String getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `String`

### setTitle

    public void setTitle(String value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `String`

### getEncryptableTextContent

    public byte[] getEncryptableTextContent()

  Gets the value of the encryptableTextContent property.

  Returns:
    possible object is byte[]

### setEncryptableTextContent

    public void setEncryptableTextContent(byte[] value)

  Sets the value of the encryptableTextContent property.

  Parameters:
    `value` - allowed object is byte[]

### getEncryptableBinaryContent

    public DataHandler getEncryptableBinaryContent()

  Gets the value of the encryptableBinaryContent property.

  Returns:
    possible object is `String`

### setEncryptableBinaryContent

    public void setEncryptableBinaryContent(DataHandler value)

  Sets the value of the encryptableBinaryContent property.

  Parameters:
    `value` - allowed object is `String`

### getDownloadFileName

    public String getDownloadFileName()

  Gets the value of the downloadFileName property.

  Returns:
    possible object is `String`

### setDownloadFileName

    public void setDownloadFileName(String value)

  Sets the value of the downloadFileName property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getDigest

    public String getDigest()

  Gets the value of the digest property.

  Returns:
    possible object is `String`

### setDigest

    public void setDigest(String value)

  Sets the value of the digest property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.